Skip to main content
GET
/
notes
Get notes
curl --request GET \
  --url https://api.gospott.com/notes \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "links": [
        {
          "entityType": "candidate",
          "candidate": {
            "id": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "middleName": "<string>",
            "secondLastName": "<string>",
            "avatarUrl": "<string>"
          },
          "id": "<string>",
          "noteId": "<string>"
        }
      ],
      "type": "manual",
      "source": "phone",
      "id": "<string>",
      "title": "<string>",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "lastEditedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "<string>",
        "name": "<string>",
        "avatarUrl": "<string>",
        "deactivatedAt": "2023-11-07T05:31:56Z"
      },
      "editors": [
        {
          "editedBy": {
            "id": "<string>",
            "name": "<string>",
            "avatarUrl": "<string>",
            "deactivatedAt": "2023-11-07T05:31:56Z"
          },
          "editedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "meeting": {
        "meetingProvider": "googleMeet",
        "id": "<string>",
        "title": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "hasTranscript": true
      },
      "call": {
        "provider": "TELNYX",
        "id": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "hasTranscript": true
      },
      "audioRecording": {
        "id": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "hasTranscript": true
      },
      "pinned": true,
      "shouldPoll": true,
      "labels": [
        {
          "id": "<string>",
          "name": "<string>",
          "colorHex": "<string>"
        }
      ]
    }
  ],
  "pageInfo": {
    "nextCursor": "<string>",
    "hasNextPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

limit
number
default:25

Number of notes to return per page (min: 1, max: 50, default: 25)

Required range: 1 <= x <= 50
modifiedSince
string<date-time>

Filter notes modified on or after this date. Useful for incremental synchronization. Defaults to beginning of time if not provided.

Example:

"2024-11-01T00:00:00.000Z"

cursor
string

Base64-encoded cursor for pagination. Use the nextCursor value from a previous response to fetch the next page. Omit for the first page.

candidateId
string

Filter notes linked to this candidate

clientContactId
string

Filter notes linked to this client contact

source
string

Filter notes by source (e.g. phone, inPerson, onlineMeeting)

labelIds
string[]

Filter notes that have any of the given label IDs

Response

Notes retrieved successfully

items
object[]
required
pageInfo
object
required